Bug 1474411 - python-sqlalchemy: FTBFS in Fedora 26 tests failing as of python 3.6.2
python-sqlalchemy: FTBFS in Fedora 26 tests failing as of python 3.6.2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-sqlalchemy (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
http://apps.fedoraproject.org/koschei...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 10:34 EDT by Michael Bayer
Modified: 2017-08-26 15:52 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-sqlalchemy-1.1.13-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-26 15:52:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Bayer 2017-07-24 10:34:59 EDT
Description of problem:
Package python-sqlalchemy fails to build from source in Fedora 26.

Version-Release number of selected component (if applicable):
1.1.11-1.fc26

Steps to Reproduce:
koji build --scratch f26 python-sqlalchemy-1.1.11-1.fc26.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/python-sqlalchemy

I've identified Python 3.6.2 as introducing some change that breaks one particular SQLAlchemy test.  upstream issue is at https://bitbucket.org/zzzeek/sqlalchemy/issues/4034/test-failure-as-of-python-362 and I'll be working today to get this out at least to 1.1.x and possibly 1.0.x as well.
Comment 1 Michael Bayer 2017-07-31 11:31:01 EDT
OK that release is ready it seems I don't have commit privs on python-sqlalchemy in fedora as of yet.
Comment 2 Fedora Update System 2017-08-01 18:33:30 EDT
python-sqlalchemy-1.1.12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb16fe54d9
Comment 3 Fedora Update System 2017-08-02 20:52:51 EDT
python-sqlalchemy-1.1.12-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb16fe54d9
Comment 4 Fedora Update System 2017-08-05 07:38:01 EDT
python-sqlalchemy-1.1.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb16fe54d9
Comment 5 Fedora Update System 2017-08-07 02:23:08 EDT
python-sqlalchemy-1.1.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb16fe54d9
Comment 6 Fedora Update System 2017-08-26 15:52:21 EDT
python-sqlalchemy-1.1.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.